libnet-macros.h(3)

NAME
libnet-macros.h -

libnet macros and symbolic constants

SYNOPSIS

  Macros

#define LIBNET_DONT_RESOLVE 0
#define LIBNET_RESOLVE 1
#define LIBNET_ON 0
#define LIBNET_OFF 1
#define IN6ADDR_ERROR_INIT
#define LIBNET_PR2 0
#define LIBNET_MAX_PACKET 0xffff
#define LIBNET_ERRBUF_SIZE 0x100
#define LIBNET_MAXOPTION_SIZE 0x28
#define for_each_context_in_cq(l) for (l = libnet_cq_head(); libnet_cq_last(); l = libnet_cq_next())

Detailed Description

libnet macros and symbolic constants

Macro Definition Documentation

  #define for_each_context_in_cq(l) for (l = libnet_cq_head(); libnet_cq_last(); l = libnet_cq_next())
Provides an interface to iterate through the context queue of libnet contexts. Before calling this macro, be sure to set the queue using libnet_cq_head().

  #define IN6ADDR_ERROR_INIT
Value:

{ { { 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,                                  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,                                  0xff, 0xff } } }
IPv6 error code

  #define LIBNET_DONT_RESOLVE 0
Used for libnet's name resolution functions, specifies that no DNS lookups should be performed and the IP address should be kept in numeric form.

  #define LIBNET_ERRBUF_SIZE 0x100
The libnet error buffer is 256 bytes long.

  #define LIBNET_MAX_PACKET 0xffff
The biggest an IP packet can be -- 65,535 bytes.

  #define LIBNET_MAXOPTION_SIZE 0x28
IP and TCP options can be up to 40 bytes long.

  #define LIBNET_OFF 1
Used several places, to specify 'on' or 'one'

  #define LIBNET_ON 0
Used several places, to specify 'on' or 'one'

  #define LIBNET_PR2 0
Used for libnet_get_prand() to specify function disposition

  #define LIBNET_RESOLVE 1
Used for libnet's name resolution functions, specifies that a DNS lookup can be performed if needed to resolve the IP address to a canonical form.

Author

Generated automatically by Doxygen for libnet from the source code.